From 75495adef7bc6e3fe01e7b859a353efd5174cb4a Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Tue, 30 Aug 2016 12:00:00 -0400
Subject: [PATCH 22/27] Disable conflicting function

This function conflicts with a function in the backend.  FIXME
---
 contrib/xml2/xpath.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/contrib/xml2/xpath.c b/contrib/xml2/xpath.c
index ac28996..d654884 100644
--- a/contrib/xml2/xpath.c
+++ b/contrib/xml2/xpath.c
@@ -90,6 +90,7 @@ pgxml_parser_init(PgXmlStrictness strictness)
  * definitions for the contrib module, this won't be called.
  */
 
+#ifdef BROKEN
 PG_FUNCTION_INFO_V1(xml_is_well_formed);
 
 Datum
@@ -124,6 +125,7 @@ xml_is_well_formed(PG_FUNCTION_ARGS)
 
 	PG_RETURN_BOOL(result);
 }
+#endif
 
 
 /* Encodes special characters (<, >, &, " and \r) as XML entities */
-- 
2.9.3

